%define	uname	OpenBoard

Name:		openboard
Version:	1.4.0
Release:	%mkrel 1
Summary:	Interactive whiteboard for schools and universities
License:	GPLv3+
Group:		Education
Url:		http://openboard.ch
Source0:	https://github.com/OpenBoard-org/OpenBoard/archive/v%{version}/%{uname}-%{version}.tar.xz
Source1:	%{name}.desktop
Source2:	run.sh
Patch0:		%{name}-1.3.4-no_Third-Party.patch
Patch1:		%{name}-1.3.4-XPDFRenderer_with_poppler.patch
Patch2:		%{name}-1.3.6-add-compatibility-with-OpenSSL-1.1.patch
Patch3:		%{name}-1.4.0-fix-compilation-when-LIBAVFORMAT_VERSION_MICRO==100.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ffmpeg-devel
BuildRequires:	libgomp-devel
BuildRequires:	libpaper-devel
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	quazip-devel
BuildRequires:	t1lib-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-cpp)
BuildRequires:	pkgconfig(sdl)

%description
OpenBoard is an open source cross-platform interactive white board
application designed primarily for use in schools. It was originally
forked from Open-Sankoré, which was itself based on Uniboard.

%prep
%setup -q -n %{uname}-%{version}
%apply_patches

cp -pr %{SOURCE1} %{SOURCE2} .

sed -i -e 's|@LIBDIR@|%{_libdir}|'g run.sh

# remove unwanted and nonfree libraries
sed -i -e 's|-lfdk-aac ||' src/podcast/podcast.pri
sed -i -e 's|-lx264 ||' src/podcast/podcast.pri

%build
%{_qt5_bindir}/lrelease -removeidentical %{uname}.pro

%qmake_qt5

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_libdir}/%{name}/
cp -pr build/linux/release/product/* %{buildroot}%{_libdir}/%{name}/

# icons
install -D -m 0644 resources/images/%{uname}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

# desktop file
install -D -m 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# internalization
mkdir -p %{buildroot}%{_libdir}/%{name}/i18n/
cp -R resources/i18n/%{uname}*.qm %{buildroot}%{_libdir}/%{name}/i18n/

# customizations
cp -R resources/customizations %{buildroot}%{_libdir}/%{name}/

# run.sh
install -D -m 0755 run.sh %{buildroot}%{_bindir}/%{name}

# clean some exe bits
find %{buildroot} -executable -type f -name *.js -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.svg -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.css -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.xml -exec chmod -x '{}' \+
find %{buildroot} -executable -type f -name *.html -exec chmod -x '{}' \+

%files
%doc README.md COPYRIGHT LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun May 27 2018 bb2 <bb2> 1.4.0-1pclos2018
- import from france for pclos
